Package be.ehealth.businessconnector.genericasync.session

# Interface GenAsyncService

All Known Implementing Classes:
  `GenAsyncServiceImpl`

public interface GenAsyncService
The Business Connector for General Practitioners provides a simplified interface to access the GenericAsync service by providing the following functionality: it retrieves the token from the session. Default impl : `GenAsyncServiceImpl`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ConfirmResponse`
  `confirmRequest(Confirm request, WsAddressingHeader header)`
  Sends a confirm request to the WS.
  `GetResponse`
  `getRequest(Get request, WsAddressingHeader header)`
  Returns the
  invalid reference

      Responses

  from the post previously sent and generate the token.
  `PostResponse`
  `postRequest(Post request, WsAddressingHeader header)`
  Returns the
  invalid reference

      TAck

  of the request of an operation and generate the token.

- ## Method Details

  - ### postRequest

    PostResponse postRequest(Post request, WsAddressingHeader header) throws GenAsyncBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Returns the
    invalid reference

        TAck

    of the request of an operation and generate the token.
    Parameters:
      `request` - the request
    Returns:
      TAck
    Throws:
      `GenAsyncBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`

  - ### getRequest

    GetResponse getRequest(Get request, WsAddressingHeader header) throws GenAsyncBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Returns the
    invalid reference

        Responses

    from the post previously sent and generate the token.
    Parameters:
      `request` - the request
    Returns:
      Responses
    Throws:
      `GenAsyncBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`

  - ### confirmRequest

    ConfirmResponse confirmRequest(Confirm request, WsAddressingHeader header) throws GenAsyncBusinessConnectorException, TechnicalConnectorException, SessionManagementException
    Sends a confirm request to the WS.
    Parameters:
      `request` - the request
    Returns:
      the response
    Throws:
      `GenAsyncBusinessConnectorException`
      `TechnicalConnectorException`
      `SessionManagementException`